%define name namebench
%define version 1.3.1
%define release %mkrel 2

Summary:  Namebench is a benchmarking utility
Name: %{name}
Version: %{version}
Release: %{release}
Group: Monitoring
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://code.google.com/p/namebench/
Source0: http://code.google.com/p/namebench/%{name}-%{version}.tar.xz
License: GPL
BuildArch: noarch
BuildRequires: python-setuptools python-devel
Requires: tkinter
Requires: python >= 2.7
Obsoletes: %{name} < %{version}


%description
Namebench hunts down the fastest DNS servers available for your computer to use. Namebench runs a fair 
and thorough benchmark using your web browser history, tcpdump output, or standardized datasets in order 
to provide an individualized recommendation. Namebench does not modify your system in any way. Namebench 
is available with a graphical user interface as well as a command-line interface. 

Menu Entry is in System - Configuration - Networking

%prep
%setup -q 


%build
python setup.py build

%install
rm -rf %buildroot
python setup.py install --root=%buildroot

mkdir -p %buildroot%_datadir/%name
mv %buildroot/usr/%name/* %buildroot%_datadir/%name
rm -rf %buildroot/usr/%name

#menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=NameBench
Comment=A benchmarking utility
Exec=%{name}.py
Icon=%{_datadir}/icons/large/monitoring_section.png
Terminal=false
Type=Application
Categories=System;Utility;X-MandrivaLinux-System-Configuration-Networking;
EOF


%clean
rm -rf %buildroot

%post
%update_menus
ln -s /usr/share/namebench /usr/namebench 

%postun
%clean_menus
rm -rf /usr/namebench 

%files 
%defattr(-,root,root)
%doc *.txt 
%_bindir/%{name}.py
%_datadir/%name
%{_datadir}/applications/%{name}.desktop
%py_sitedir/*

%changelog
* Fri Aug 16 2013 billybot <billybot> 1.3.1-2pclos2013
- update python 2.7

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 1.3.1-1pclos2010
- 1.3.1

* Thu Dec 17 2009 slick50 <lxgator@gmail.com> 1.0.5-1pclos2010
- initial pkg

